Support » Plugin: Contact Form by WPForms - Drag & Drop Form Builder for WordPress » challenge-core.js includes reference to invalid Gutenberg class

  • The file assets/js/components/admin/challenge/challenge-core.js contains a reference to a “.gutenberg” class name as part of the implementation of triggerPostSave. This class name does not exist in the WordPress 5.x block editor, and will be removed from the plugin as of Gutenberg 5.3. I suspect it does not work correctly today in a stock installation of WordPress, where based on its implementation, isGutenberg would return true for the block editor, regardless of whether the Gutenberg plugin is active.

    “block-editor” is a suitable replacement class, if still needed.

    Before:

    $( '.gutenberg .editor-post-publish-button' ).trigger( 'click' );

    After:

    $( '.block-editor .editor-post-publish-button' ).trigger( 'click' );

    See also: https://github.com/WordPress/gutenberg/pull/13569

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘challenge-core.js includes reference to invalid Gutenberg class’ is closed to new replies.